package com.colinwyattwarren.tictactwice;

import android.os.Bundle;
import android.app.Activity;
import android.content.Intent;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.TextView;
import android.support.v4.app.NavUtils;

public class GameFinishedActivity extends Activity {
	private boolean mHasWinner;
	private String mWinnerName;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_game_finished);
		// Show the Up button in the action bar.
		getActionBar().setDisplayHomeAsUpEnabled(true);
		
		String result = "";
		
		// Get the winner's name
		Intent intent = getIntent();
		mHasWinner = intent.getExtras().getBoolean(PlayGameActivity.HAS_WINNER);
		
		if (mHasWinner) {
			mWinnerName = intent.getExtras().getString(PlayGameActivity.WINNER_NAME);
			result = "Winner: " + mWinnerName;
		} else {
			result = "Stalemate!";
		}
		
		TextView textview = (TextView) findViewById(R.id.game_result);
		textview.setText(result);
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.activity_game_finished, menu);
		return true;
	}

	@Override
	public boolean onOptionsItemSelected(MenuItem item) {
		switch (item.getItemId()) {
		case android.R.id.home:
			// This ID represents the Home or Up button. In the case of this
			// activity, the Up button is shown. Use NavUtils to allow users
			// to navigate up one level in the application structure. For
			// more details, see the Navigation pattern on Android Design:
			//
			// http://developer.android.com/design/patterns/navigation.html#up-vs-back
			//
			Intent intent = new Intent(this, MainActivity.class);
			NavUtils.navigateUpTo(this, intent);
			return true;
		}
		return super.onOptionsItemSelected(item);
	}

	public void rematch(View view) {
		Intent intent = new Intent(this, NewGameActivity.class);
		startActivity(intent);
	}
}
