package com.colinwyattwarren.tictactwice;

import android.os.Bundle;
import android.app.Activity;
import android.content.Intent;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.EditText;
import android.widget.Toast;
import android.support.v4.app.NavUtils;

public class NewGameActivity extends Activity {
	public final static String PLAYER_A_NAME = "com.colinwyattwarren.tictactwice.PLAYER_A_NAME";
	public final static String PLAYER_B_NAME = "com.colinwyattwarren.tictactwice.PLAYER_B_NAME";
	
	private EditText mPerson1Name;
	private EditText mPerson2Name;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_new_game);
		// Show the Up button in the action bar.
		getActionBar().setDisplayHomeAsUpEnabled(true);
		
		mPerson1Name = (EditText) findViewById(R.id.text_player_1_name);
		mPerson2Name = (EditText) findViewById(R.id.text_player_2_name);
		
		mPerson1Name.requestFocus();
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.activity_new_game, menu);
		return true;
	}

	@Override
	public boolean onOptionsItemSelected(MenuItem item) {
		switch (item.getItemId()) {
		case android.R.id.home:
			// This ID represents the Home or Up button. In the case of this
			// activity, the Up button is shown. Use NavUtils to allow users
			// to navigate up one level in the application structure. For
			// more details, see the Navigation pattern on Android Design:
			//
			// http://developer.android.com/design/patterns/navigation.html#up-vs-back
			//
			NavUtils.navigateUpFromSameTask(this);
			return true;
		}
		return super.onOptionsItemSelected(item);
	}
	
	public void startGame(View view) {
		if (mPerson1Name.getText().toString().equals("")) { // Player #1 name empty
			toast("You must enter a name for Player #1!");
		} else if (mPerson2Name.getText().toString().equals("")) { // Player #2 name empty
			toast("You must enter a name for Player #2!");
		} else { // Both names entered
			Intent intent = new Intent(this, PlayGameActivity.class);
			String p1Name = mPerson1Name.getText().toString();
			String p2Name = mPerson2Name.getText().toString();
			intent.putExtra(PLAYER_A_NAME, p1Name);
			intent.putExtra(PLAYER_B_NAME, p2Name);
			startActivity(intent);
		}
	}
	
	private void toast(String str) {
		Toast toast = Toast.makeText(
				getApplicationContext(),
				str,
				Toast.LENGTH_SHORT);
		toast.show();
	}

}
